#ifndef BOARD_SETTING_H
#define BOARD_SETTING_H
#include <TQObject.h>
#include <TGNumberEntry.h>
#include <TGComboBox.h>
#include <TGLabel.h>
#include "DigitizerPHA.h"
#include "DigitizerPSD.h"
#include "macro.h"

#define NUM_BOARD_SETTING 27

class TGWindow;
class TGMainFrame;

class BoardSetting{
  private:
    TGMainFrame * fMain;
    
    TGNumberEntry * boardIDEntry;
    
    TGTextEntry * entry[NUM_BOARD_SETTING];
    
    Digitizer ** digi;
  
  public:
    BoardSetting(const TGWindow *p, UInt_t w, UInt_t h, Digitizer ** digi, int nBoard);
    virtual ~BoardSetting();
    
    void CloseWindow() { printf("close BoardSetting window\n"); delete this; }
    void ChangeBoard();
    
    bool isOpened;
  
};
#endif
